Get product
curl --request GET \
--url https://api.lojou.app/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lojou.app/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lojou.app/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"currency": "MZN",
"product": {
"id": 272,
"name": "Curso de Excel Avançado",
"type": "one_time",
"image": "https://cdn.lojou.app/lojou/stores/files/954/curso-excel.jpg",
"price": 950,
"status": "approved",
"product_pid": "QUyMp",
"category": "Educação",
"sub_category": "Cursos online",
"mobile_number": "843264388",
"sale_page": "https://minhaloja.example.com/curso-excel",
"affiliate_status": "open",
"affiliate_comission": 30,
"created_at": "2026-06-02T10:00:00.000000Z",
"number_code": "+258",
"number": "843264388",
"affiliation": {
"status": "open",
"comission": 30
}
}
}{
"status": "error",
"message": "Unauthorized user."
}{
"status": "error",
"message": "Permission denied for this endpoint.",
"error_code": "insufficient_scope",
"required_scopes": [
"orders.read"
],
"missing_scopes": [
"orders.read"
],
"granted_scopes": [
"products.read",
"products.write"
]
}{
"status": "error",
"message": "Resource not found."
}Products
Get product
Accepts a product identifier (product_pid) or, when applicable, the numeric id.
GET
/
v1
/
products
/
{id}
Get product
Autorizações
Send an API key or an OAuth access token in the Authorization header
as a Bearer token. See Authentication for details.
Parâmetros de caminho
Product identifier (id or product_pid).
Resposta
Success
The response is of type object.
